Bug 494500 - PowerBook G4: Audio muted, no intuitive GUI way to unmute
PowerBook G4: Audio muted, no intuitive GUI way to unmute
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 04:12 EDT by Jeremy Huddleston
Modified: 2010-06-28 07:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.txt (7.02 KB, text/plain)
2009-04-10 15:19 EDT, Jeremy Huddleston
no flags Details
Output of alsa-info.sh for nVidia Corporation CK804 AC'97 Audio Controller (18.77 KB, text/plain)
2009-05-04 07:52 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Jeremy Huddleston 2009-04-07 04:12:52 EDT
Description of problem:

I have a PowerbookG4.  The pulseaudio volume is unmuted and at max, but no sound is heard.  This is because the PCM volume of the card itself is at 0 by default.  In F10, it was trivial enough to raise the volume, but in F11, there is no GUI way to do it, and one must run:

alsamixer -D hw:0

to get access to the slider to increase it.

Most users will be confused by this and just assume audio doesn't work.  There should be a way to set this in the standard GUI.
Comment 1 Lennart Poettering 2009-04-07 11:01:35 EDT
You shouldn't have to got the the alsamixer tool at all. ALSA now ships a default mixer initialization database, which apparently lacks an entry for your card. If there was one PCM would have been initialized properly by default.

Reassigning to alsa-utils
Comment 2 Jaroslav Kysela 2009-04-10 08:21:26 EDT
Please, attach output from 'alsa-info.sh --no-upload'.
Comment 3 Jeremy Huddleston 2009-04-10 15:19:14 EDT
Created attachment 339122 [details]
alsa-info.txt

alsa-info.txt as requested.
Comment 4 Jaroslav Kysela 2009-04-14 03:26:22 EDT
The alsaunmute script should initialize volumes properly. Could you test it? (Set PCM volume to zero and run 'alsaunmute' command.)
Comment 5 Jeremy Huddleston 2009-04-14 17:30:44 EDT
I muted master and turned master and pcm down to 0.  When I ran alsaunmute, this was not changed.

[jeremy@localhost ~]$ alsaunmute 
Unknown hardware: "AppleOnbdAudio" "SoundByLayout" "" "" ""
Hardware is initialized using a guess method
/lib/alsa/init/default:23: unable to convert dB value '-20dB' to internal integer range
/lib/alsa/init/default:62: unable to convert dB value '-20dB' to internal integer range
/lib/alsa/init/default:133: unable to convert dB value '-20dB' to internal integer range



[jeremy@localhost ~]$ amixer 
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 65536
  Mono:
  Front Left: Playback 0 [0%] [on]
  Front Right: Playback 0 [0%] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 65536
  Front Left: Capture 65536 [100%] [on]
  Front Right: Capture 65536 [100%] [on]
[jeremy@localhost ~]$ amixer -D hw:0
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 177
  Mono:
  Front Left: Playback 0 [0%] [on]
  Front Right: Playback 0 [0%] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Headphone Detect Autoswitch',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Headphone Detected',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Bass',0
  Capabilities: volume volume-joined
  Playback channels: Mono
  Capture channels: Mono
  Limits: 0 - 72
  Mono: 36 [50%]
Simple mixer control 'Treble',0
  Capabilities: volume volume-joined
  Playback channels: Mono
  Capture channels: Mono
  Limits: 0 - 72
  Mono: 36 [50%]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 177
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'Line-In',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [on]
Simple mixer control 'Microphone',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'DRC Range',0
  Capabilities: volume volume-joined pswitch pswitch-joined
  Playback channels: Mono
  Capture channels: Mono
  Limits: 0 - 239
  Mono: 119 [50%] Playback [off]
Simple mixer control 'Monitor',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 177
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'Speakers',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Comment 6 Jaroslav Kysela 2009-04-15 03:05:38 EDT
Thanks. I found the bug. Here is the patch:

http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff;h=d01bbbd7061e447adc1c4acd406a3f64148a2c6e

It will be included in alsa-utils-1.0.20 package. I expect to release it and update the rawhide alsa-utils package in few days.
Comment 7 Joachim Frieben 2009-05-04 07:52:54 EDT
Created attachment 342295 [details]
Output of alsa-info.sh for nVidia Corporation CK804 AC'97 Audio Controller

Sound is working out of the box for the F11 preview live CD. However, after a network install from the current "rawhide" tree, sound is off.
'alsamixer -c 0' reveals that the PCM channel is muted. After raising the correponding slider to a reasonable level, sound is back again. It's certainly not a database issue in this case since already the F11 preview release was working as expected.
Comment 8 Bug Zapper 2009-06-09 09:23:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 09:32:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:43:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.